> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vm Availability

> Get hardware profiles from the VM provisioning service which the user is allowed to provision.
Availability does not automatically imply that the requested hardware is actually available right now.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/external/vms/availability
openapi: 3.1.0
info:
  title: Lyceum Cloud API
  version: 0.1.0
servers:
  - url: https://api.lyceum.technology
    description: Production
security:
  - bearerAuth: []
paths:
  /api/v2/external/vms/availability:
    get:
      tags:
        - VMs
      summary: Get Vm Availability
      description: >-
        Get hardware profiles from the VM provisioning service which the user is
        allowed to provision.

        Availability does not automatically imply that the requested hardware is
        actually available right now.
      operationId: get_vm_availability_api_v2_external_vms_availability_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VMAvailabilityResponse'
components:
  schemas:
    VMAvailabilityResponse:
      properties:
        available_hardware_profiles:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Available Hardware Profiles
        available_instance_variants:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Available Instance Variants
          default: []
      type: object
      required:
        - available_hardware_profiles
      title: VMAvailabilityResponse
      description: Response model for VM availability.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Pass an API key (prefixed `lk_`) or a JWT access token as a bearer
        token. Generate API keys in the dashboard at
        https://dashboard.lyceum.technology/api-keys.

````